## org.codehaus.groovy.ast.stmt
Class CaseStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CaseStatement

    public class CaseStatement

extends Statement

Represents a case statement in a switch statement

Version:
  $Revision: 7922 $
Author:
  James Strachan

Constructor Summary
`CaseStatement(Expression expression, Statement code)`

Method Summary
`Statement` `getCode()`
`Expression` `getExpression()`
`void` `setExpression(Expression e)`
`String` `toString()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseStatement

    public CaseStatement(Expression expression,
                         Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression e)

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2008 The Codehaus. All rights reserved.